当前位置: 动力学知识库 > 问答 > 编程问答 >

visual studio 2015 - Target device's operating system version does not meet the application's minimum requirement. Minimum required operating system is Windows 10.0

问题描述:

I am new to Windows 10 mobile app development. I created a Universal Windows App and tried running it on a Windows 10 phone. I got the following error:

'Target device's operating system version does not meet the application's minimum requirement. Minimum required operating system is Windows 10.0.'

I noticed that the Target version in Visual Studio 2015 is Windows 10 (10.0; Build 10240) and the Build on my phone is 10166. I keep checking for updates on phone but it says that my phone is up-to-date. I am not able to change the Target version in VS2015 either as my phone's build is not in the list of target versions.

Thanks in advance for the help :)

网友答案:

As Hans Passant said:

You have an old preview build on your phone. You'll have to wait until it is ready to ship (no announcement yet) or update to the current preview build. Which is 10586 right now.

The minimum version if Windows you must have on your device is 10.0 build 10240, and as you said, your device's current version is 10.0 build 10166. Notice 10166 < 10240 (you don't meet the minimum requirements). To solve your problem, update your phone to the latest Windows 10 Mobile Insider Preview build (10586). Assuming you already downloaded and configured the Windows Insider app, follow these steps:

  1. Open Settings
  2. Find and open Update and security
  3. Tap Phone update
  4. Tap Check for updates

Be sure to read through the list of known issues first!

分享给朋友:
您可能感兴趣的文章:
随机阅读: